Name:    kprof
Summary: Profiling results viewer
Version: 1.4.3
Release: 4%{?dist}
License: GPLv2+
Group:   Development/Debuggers
#All patches are adapted from debian sid and have been submitted upstream
# https://sourceforge.net/tracker/?func=browse&group_id=10250&atid=310250 
#  2868753 , 2868754 , 2868756 , 2868758 , 2868760 , 2868762 , 2868763

Patch0:  kprof-qtextstream.patch
Patch1:  kprof-gprofstdout_fix.patch
Patch2:  kprof-gprof_totals.patch
Patch3:  kprof-dot_error_msg.patch
Patch4:  kprof-fix_version_number.patch
Patch5:  kprof-fix_includes_gcc43.patch
Patch6:  kprof-qt3_headers.patch
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1: kprof.1
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:     http://kprof.sourceforge.net

%if 0%{?rhel} == 4
BuildRequires:  kdelibs-devel
BuildRequires:  xorg-x11-devel
%else
%if 0%{?rhel} == 5
BuildRequires:  kdelibs-devel
BuildRequires:  xorg-x11-proto-devel
%else
BuildRequires:  kdelibs3-devel
BuildRequires:  xorg-x11-proto-devel
%endif
%endif
BuildRequires:  zlib-devel gettext
BuildRequires:  desktop-file-utils
Requires: graphviz

%description
A visual tool for developers that displays the execution profiling output
generated by code profiling tools. 


%prep
%setup -q -n kprof
%patch0 -b .qtextstream -p1
%patch1 -b .gprofstdout -p1
%patch2 -b .gproftotals -p1
%patch3 -b .dot_error -p1
%patch4 -b .fix_version -p1 
%patch5 -b .fixgcc -p1
%patch6 -b .qt3headers -p1
#make rpmlint a bit happier
iconv -f iso-8859-1 -t utf-8 < %{name}/kprof.desktop > x.desktop
touch -r %{name}/kprof.desktop x.desktop
mv -f x.desktop %{name}/kprof.desktop

%build
%if 0%{?rhel} <= 5
unset QTDIR
. /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib
%endif
%configure --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p  $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Development/%{name}.desktop
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644  %{SOURCE1} $RPM_BUILD_ROOT/%{_mandir}/man1
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/locolor &>/dev/null || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/locolor &>/dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
 touch --no-create %{_datadir}/icons/locolor &>/dev/null || :
 if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/locolor &>/dev/null || :
 fi
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/kprof
%{_datadir}/applications/kprof.desktop
%{_datadir}/apps/kprof/
%{_docdir}/HTML/en/kprof/
%{_datadir}/icons/locolor/32x32/apps/kprof.png
%{_datadir}/icons/locolor/16x16/apps/kprof.png
%{_mandir}/man1/%{name}.*

%changelog
* Sat Jul 17 2010 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 1.4.3-4
- fix Source0 as Sourceforge replaced the tar.gz with tar.bz2
- mention that all patches have been submited upstream
- fix scriplets

* Fri Sep 26 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 1.4.3-3
- more cleanup

* Fri Sep 26 2009 Manuel "lonely wolf" Wolfshant <wolfy@fedoraproject.org> - 1.4.3-2
- clean up spec
- add patches and manpage from debian sid

* Mon Nov 22 2004 Andreas Schallenberg <undead@users.sourceforge.net> - 1.4.3-1
- RPM spec file is based on original one by Colin Desmond <cdesmond@users.sourceforge.net>
